# kdecore Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KCompTreeNode Class Reference

A helper class for KCompletion. More...

`#include <kcompletion_private.h>`

Inheritance diagram for KCompTreeNode:

[legend]
Collaboration diagram for KCompTreeNode:

[legend]
List of all members.

## Public Member Functions

| KCompTreeNode (const QChar &ch, uint weight=0)
void * | operator new (size_t s)
void | operator delete (void *s)
KCompTreeNode * | find (const QChar &ch) const
KCompTreeNode * | insert (const QChar &, bool sorted)
void | remove (const QString &)
int | childrenCount () const
void | confirm ()
void | confirm (uint w)
void | decline ()
uint | weight () const
const KCompTreeChildren * | children () const
const KCompTreeNode * | childAt (int index) const
const KCompTreeNode * | firstChild () const
const KCompTreeNode * | lastChild () const

## Public Attributes

KCompTreeNode * | next

## Detailed Description

A helper class for KCompletion.

Implements a tree of QChar.

The tree looks like this (containing the items "kde", "kde-ui", "kde-core" and "pfeiffer". Every item is delimited with QChar( 0x0 )

some_root_node / \ k p | | d f | | e e /| | 0x0 - i / \ | u c f | | | i o f | | | 0x0 r e | | e r | | 0x0 0x0

Author:
  Carsten Pfeiffer <pfeiffer@kde.org>

Definition at line 84 of file kcompletion_private.h.

The documentation for this class was generated from the following files:

- kcompletion_private.h
- kcompletion.cpp

This file is part of the documentation for kdecore Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:18:24 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003